## python-attrs 25.4.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/attrs.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/attrs.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/attrs"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/attrs"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-attrs 15.2.0

=== debian/changelog ===
python-attrs (15.2.0-1) unstable; urgency=low

  * Initial upload (closes: #815387).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 21 Feb 2016 08:22:06 +0200

=== debian/control ===
Source: python-attrs
Section: python
Priority: optional
Maintainer: Tristan Seligmann <mithrandi@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 pypy,
 pypy-setuptools,
 python-all,
 python-pytest,
 python-setuptools,
 python-sphinx-rtd-theme,
 python-zope.interface,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 python3-zope.interface,
Standards-Version: 3.9.7
Homepage: https://attrs.readthedocs.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-attrs.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-attrs.git

Package: python-attr
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: Attributes without boilerplate (Python 2)
 attrs is an MIT-licensed Python package with class decorators that ease the
 chores of implementing the most common attribute-related object protocols.
 .
 You just specify the attributes to work with and attrs gives you:
   - a nice human-readable __repr__,
   - a complete set of comparison methods,
   - an initializer,
   - and much more
 without writing dull boilerplate code again and again.
 .
 This package contains attrs packged for Python 2.

Package: python3-attr
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Attributes without boilerplate (Python 3)
 attrs is an MIT-licensed Python package with class decorators that ease the
 chores of implementing the most common attribute-related object protocols.
 .
 You just specify the attributes to work with and attrs gives you:
   - a nice human-readable __repr__,
   - a complete set of comparison methods,
   - an initializer,
   - and much more
 without writing dull boilerplate code again and again.
 .
 This package contains attrs packged for Python 3.

Package: pypy-attr
Architecture: all
Depends: ${misc:Depends}, ${pypy:Depends}
Recommends: ${pypy:Recommends}
Suggests: ${pypy:Suggests}
Description: Attributes without boilerplate (PyPy)
 attrs is an MIT-licensed Python package with class decorators that ease the
 chores of implementing the most common attribute-related object protocols.
 .
 You just specify the attributes to work with and attrs gives you:
   - a nice human-readable __repr__,
   - a complete set of comparison methods,
   - an initializer,
   - and much more
 without writing dull boilerplate code again and again.
 .
 This package contains attrs packged for PyPy.

Package: python-attr-doc
Section: doc
Architecture: all
Priority: extra
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for the attrs Python library
 attrs is an MIT-licensed Python package with class decorators that ease the
 chores of implementing the most common attribute-related object protocols.
 .
 You just specify the attributes to work with and attrs gives you:
   - a nice human-readable __repr__,
   - a complete set of comparison methods,
   - an initializer,
   - and much more
 without writing dull boilerplate code again and again.
 .
 This package provides documentation for attrs.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=attr
export PYBUILD_DISABLE=test/pypy

%:
	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
	   http_proxy='127.0.0.1:9' \
	   https_proxy='127.0.0.1:9' \
	   sphinx-build -N -b html docs/ $(CURDIR)/.pybuild/docs/html/

=== debian/watch ===
# try also https://pypi.debian.net/attrs/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/attrs/attrs-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-attrs 16.0.0

=== debian/changelog ===
python-attrs (16.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Install doc-base entry.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 23 Jun 2016 19:50:19 +0200

python-attrs (15.2.0-2) unstable; urgency=medium

  * Fix debian/watch.
  * Add python-attr-doc to Suggests: (closes: #816577).
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 27 Apr 2016 21:51:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: python-attrs
 Section: python
 Priority: optional
-Maintainer: Tristan Seligmann <mithrandi@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
  pypy,
  pypy-setuptools,
  python-all,
+ python-hypothesis,
  python-pytest,
  python-setuptools,
  python-sphinx-rtd-theme,
  python-zope.interface,
  python3-all,
+ python3-hypothesis,
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
  python3-zope.interface,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://attrs.readthedocs.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-attrs.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-attrs.git
@@ -26,7 +29,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
 Recommends: ${python:Recommends}
-Suggests: ${python:Suggests}
+Suggests: python-attr-doc, ${python:Suggests}
 Description: Attributes without boilerplate (Python 2)
  attrs is an MIT-licensed Python package with class decorators that ease the
  chores of implementing the most common attribute-related object protocols.
@@ -44,7 +47,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
+Suggests: python-attr-doc, ${python3:Suggests}
 Description: Attributes without boilerplate (Python 3)
  attrs is an MIT-licensed Python package with class decorators that ease the
  chores of implementing the most common attribute-related object protocols.
@@ -62,7 +65,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${pypy:Depends}
 Recommends: ${pypy:Recommends}
-Suggests: ${pypy:Suggests}
+Suggests: python-attr-doc, ${pypy:Suggests}
 Description: Attributes without boilerplate (PyPy)
  attrs is an MIT-licensed Python package with class decorators that ease the
  chores of implementing the most common attribute-related object protocols.

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,7 @@
 	   http_proxy='127.0.0.1:9' \
 	   https_proxy='127.0.0.1:9' \
 	   sphinx-build -N -b html docs/ $(CURDIR)/.pybuild/docs/html/
+
+override_dh_auto_test:
+	dh_auto_test
+	rm -r .pybuild/*/build/.hypothesis

## python-attrs 16.3.0

=== debian/changelog ===
python-attrs (16.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 12 Dec 2016 02:49:57 +0200

python-attrs (16.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Doc build is now reproducible (closes: #833886).
  * Fix API documentation build, and use the local copy of the Python
    documentation (closes: #834639).

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 10 Oct 2016 01:09:18 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  python-sphinx-rtd-theme,
  python-zope.interface,
  python3-all,
+ python3-doc,
  python3-hypothesis,
  python3-pytest,
  python3-setuptools,
@@ -84,6 +85,7 @@
 Architecture: all
 Priority: extra
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Recommends: python3-doc
 Description: documentation for the attrs Python library
  attrs is an MIT-licensed Python package with class decorators that ease the
  chores of implementing the most common attribute-related object protocols.

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,6 @@
 override_dh_auto_test:
 	dh_auto_test
 	rm -r .pybuild/*/build/.hypothesis
+
+override_dh_compress:
+	dh_compress -Xchangelog.html

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%attrs-$1.tar.gz%" \
    https://github.com/hynek/attrs/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-attrs 17.2.0

=== debian/changelog ===
python-attrs (17.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Add build-dependency on six.
    - Link to local copy of attrs logo from changelog.
  * Use a more reliable method for adding the build path to sys.path for
    autodoc.
  * Bump Standards-Version to 4.0.0 (no changes).
  * Update repository location in debian/watch.
  * Add DEP-8 tests.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 30 Jun 2017 03:43:49 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python-hypothesis,
  python-pytest,
  python-setuptools,
+ python-six,
  python-sphinx-rtd-theme,
  python-zope.interface,
  python3-all,
@@ -19,9 +20,10 @@
  python3-hypothesis,
  python3-pytest,
  python3-setuptools,
+ python3-six,
  python3-sphinx,
  python3-zope.interface,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://attrs.readthedocs.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-attrs.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-attrs.git

## python-attrs 17.4.0

=== debian/changelog ===
python-attrs (17.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Piotr Ożarowski ]
  * use pybuild --print build_dir istead of patching docs/conf.py
    (requires dh-python >= 3.20180313)
  * do not ship conftest.py (used only during tests)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 14 Mar 2018 11:57:11 +0100

python-attrs (17.4.0-1) unstable; urgency=medium

  * New upstream release (closes: #887508).
  * Use https for copyright format.
  * Bump debhelper compat level to 11.
  * Bump Standards-Version to 4.1.3 (no changes).
  * Replace extra priority with optional.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 23 Jan 2018 14:03:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-python,
+ debhelper (>= 11),
+ dh-python (>= 3.20180313~),
  pypy,
  pypy-setuptools,
  python-all,
@@ -23,10 +23,10 @@
  python3-six,
  python3-sphinx,
  python3-zope.interface,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://attrs.readthedocs.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-attrs.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-attrs.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-attrs.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-attrs
 
 Package: python-attr
 Architecture: all
@@ -85,7 +85,6 @@
 Package: python-attr-doc
 Section: doc
 Architecture: all
-Priority: extra
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: python3-doc
 Description: documentation for the attrs Python library

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=attr
export PYBUILD_DISABLE=test/pypy
export PYBUILD_BEFORE_TEST=cp conftest.py {build_dir}
export PYBUILD_AFTER_TEST=rm -r {build_dir}/.hypothesis {build_dir}/conftest.py

%:
	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
	   http_proxy='127.0.0.1:9' \
	   https_proxy='127.0.0.1:9' \
	   sphinx-build -N -b html docs/ $(CURDIR)/.pybuild/docs/html/

override_dh_compress:
	dh_compress -Xchangelog.html

=== debian/tests/control ===
Tests: python-attrs
Depends:
 python-hypothesis,
 python-pytest,
 python-six,
 python-zope.interface,
 python3-hypothesis,
 python3-pytest,
 python3-six,
 python3-zope.interface,
 @,

## python-attrs 18.2.0

=== debian/changelog ===
python-attrs (18.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #901013)
  * Mark python-attr-doc Multi-Arch: foreign
  * After this rebuild the changelog is fully present (Closes: #897408)
  * Bump Standards-Version to 4.1.3
  * set Rules-Requires-Root to no

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 10 Oct 2018 11:51:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Tristan Seligmann <mithrandi@debian.org>
+Rules-Requires-Root: no
 Build-Depends:
  debhelper (>= 11),
  dh-python (>= 3.20180313~),
@@ -23,7 +24,7 @@
  python3-six,
  python3-sphinx,
  python3-zope.interface,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://attrs.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-attrs.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-attrs
@@ -85,6 +86,7 @@
 Package: python-attr-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: python3-doc
 Description: documentation for the attrs Python library

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
 	   http_proxy='127.0.0.1:9' \
 	   https_proxy='127.0.0.1:9' \
-	   sphinx-build -N -b html docs/ $(CURDIR)/.pybuild/docs/html/
+	   python3 -m sphinx -N -b html docs/ $(CURDIR)/.pybuild/docs/html/
 
 override_dh_compress:
 	dh_compress -Xchangelog.html

## python-attrs 19.3.0

=== debian/changelog ===
python-attrs (19.3.0-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 09 Jul 2020 08:43:44 +0200

python-attrs (19.3.0-3) unstable; urgency=medium

  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 19:17:19 -0400

python-attrs (19.3.0-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team Upload.
  * d/tests/control: Fix autopkgtest. Use py3versions -s to use all
    supported py3 versions.
  * Bump Standards-Version to 4.5.0.
  * d/gbp.conf: Set debian/master as default branch according to DEP-14.
  * d/salsa-ci.yml: enable salsa-ci.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Fri, 20 Mar 2020 13:23:32 -0400

python-attrs (19.3.0-1) unstable; urgency=medium

  [ Adam Cecile ]
  * New upstream release.
  * Update intersphinx mapping patch to prepare to support zope.interface
    (but this package does not build sphinx doc yet).
  * Fix typo in debian/control.
  * Improve clean target to be able to build twice in a row.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Set upstream metadata fields: Bug-Submit.

  [ Sandro Tosi ]
  * debian/control
    - remove python-sphinx-rtd-theme, no longer needed since attrs/17.1.0
      https://github.com/python-attrs/attrs/commit/0563f44b477666143fb81e9c3822de1f87b9a8c5 ;
      Closes: #950449

 -- Sandro Tosi <morph@debian.org>  Sat, 01 Feb 2020 17:46:43 -0500

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,14 @@
 Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python (>= 3.20180313~),
  pypy,
  pypy-setuptools,
  python-all,
  python-hypothesis,
- python-pytest,
  python-setuptools,
  python-six,
- python-sphinx-rtd-theme,
  python-zope.interface,
  python3-all,
  python3-doc,
@@ -24,7 +22,9 @@
  python3-six,
  python3-sphinx,
  python3-zope.interface,
-Standards-Version: 4.2.1
+# Does not exists yet but should
+# python-zope.interface-doc,
+Standards-Version: 4.5.0
 Homepage: https://attrs.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-attrs.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-attrs
@@ -45,7 +45,7 @@
    - and much more
  without writing dull boilerplate code again and again.
  .
- This package contains attrs packged for Python 2.
+ This package contains attrs packaged for Python 2.
 
 Package: python3-attr
 Architecture: all
@@ -63,7 +63,7 @@
    - and much more
  without writing dull boilerplate code again and again.
  .
- This package contains attrs packged for Python 3.
+ This package contains attrs packaged for Python 3.
 
 Package: pypy-attr
 Architecture: all
@@ -81,7 +81,7 @@
    - and much more
  without writing dull boilerplate code again and again.
  .
- This package contains attrs packged for PyPy.
+ This package contains attrs packaged for PyPy.
 
 Package: python-attr-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,15 @@
 export PYBUILD_DISABLE=test/pypy
 export PYBUILD_BEFORE_TEST=cp conftest.py {build_dir}
 export PYBUILD_AFTER_TEST=rm -r {build_dir}/.hypothesis {build_dir}/conftest.py
+export PYBUILD_DISABLE_python2=test
 
 %:
 	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem=pybuild
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf .pytest_cache
+	rm -rf src/attrs.egg-info
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/tests/control ===
Tests: python-attrs
Depends:
 python3-hypothesis,
 python3-pytest,
 python3-six,
 python3-zope.interface,
 python3-all,
 @,

## python-attrs 20.3.0

=== debian/changelog ===
python-attrs (20.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Revert theme.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 10 Nov 2020 10:38:37 +0200

python-attrs (20.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Tristan Seligmann ]
  * New upstream release.
  * Depend on python3-sphinx-rtd-theme.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 02 Nov 2020 09:38:26 +0200

python-attrs (19.3.0-5) unstable; urgency=medium

  * Team upload.
  * Drop PyPy support.
  * Bump debhelper compat level to 13.
  * Fix doc-base and add docs links.

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Jun 2020 16:22:24 +0200

python-attrs (19.3.0-4) unstable; urgency=medium

  * Drop python2 support; Closes: #937587

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Apr 2020 01:15:28 -0400

=== debian/control ===
Source: python-attrs
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python (>= 3.20180313~),
 python3-all,
 python3-doc,
 python3-hypothesis,
 python3-pytest,
 python3-setuptools,
 python3-six,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-zope.interface,
Standards-Version: 4.5.0
Homepage: https://attrs.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-attrs.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-attrs

Package: python3-attr
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: python-attr-doc, ${python3:Suggests}
Description: Attributes without boilerplate (Python 3)
 attrs is an MIT-licensed Python package with class decorators that ease the
 chores of implementing the most common attribute-related object protocols.
 .
 You just specify the attributes to work with and attrs gives you:
   - a nice human-readable __repr__,
   - a complete set of comparison methods,
   - an initializer,
   - and much more
 without writing dull boilerplate code again and again.
 .
 This package contains attrs packaged for Python 3.

Package: python-attr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python3-doc
Description: documentation for the attrs Python library
 attrs is an MIT-licensed Python package with class decorators that ease the
 chores of implementing the most common attribute-related object protocols.
 .
 You just specify the attributes to work with and attrs gives you:
   - a nice human-readable __repr__,
   - a complete set of comparison methods,
   - an initializer,
   - and much more
 without writing dull boilerplate code again and again.
 .
 This package provides documentation for attrs.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,11 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME=attr
-export PYBUILD_DISABLE=test/pypy
 export PYBUILD_BEFORE_TEST=cp conftest.py {build_dir}
 export PYBUILD_AFTER_TEST=rm -r {build_dir}/.hypothesis {build_dir}/conftest.py
-export PYBUILD_DISABLE_python2=test
 
 %:
-	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

## python-attrs 21.2.0

=== debian/changelog ===
python-attrs (21.2.0-1ubuntu1) jammy; urgency=medium

  * d/p/0005-Rework-linecache-handling-828.patch: Cherry-pick upstream PR 826 
    - Fix memory leak when creating many identical classes (Fixes LP: #2121607)

 -- Zachary Raines <zachary.raines@canonical.com>  Mon, 06 Oct 2025 15:28:54 +0000

python-attrs (21.2.0-1) unstable; urgency=medium

  [ Steffen Möller ]
  * d/u/metadata - added refs to conda+guix

  [ Jochen Sprickerhof ]
  * New upstream version 21.2.0 (Closes: #1001373)
  * Rebase patches
  * Bump policy versions (no changes)
  * Use dh-sequence
  * Drop gitlab-ci
  * Add patch for sphinx notfound.extension

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 20 Dec 2021 19:22:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: python-attrs
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dh-python (>= 3.20180313~),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3-all,
  python3-doc,
  python3-hypothesis,
@@ -16,7 +18,7 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-zope.interface,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://attrs.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-attrs.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-attrs

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=attr
export PYBUILD_BEFORE_TEST=cp conftest.py {build_dir}
export PYBUILD_AFTER_TEST=rm -r {build_dir}/.hypothesis {build_dir}/conftest.py

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
	   http_proxy='127.0.0.1:9' \
	   https_proxy='127.0.0.1:9' \
	   python3 -m sphinx -N -b html docs/ $(CURDIR)/.pybuild/docs/html/

override_dh_compress:
	dh_compress -Xchangelog.html

=== debian/tests/control ===
Tests: python-attrs
Depends:
 python3-all,
 python3-hypothesis,
 python3-pytest,
 python3-six,
 python3-zope.interface,
 @,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%attrs-$1.tar.gz%" \
    https://github.com/python-attrs/attrs/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-attrs 22.1.0

=== debian/changelog ===
python-attrs (22.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches:
    - refresh all patches.
  * Update d/copyright.
  * debian/control:
    - drop dependency on python3-six
    - add build dependency on pybuild-plugin-pyproject.
  * Standards-Version bumped to 4.6.1 (no change).
  * Minor improvements to d/copyright formatting.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 09 Aug 2022 18:31:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: python-attrs
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-doc,
  python3-hypothesis,
  python3-pytest,
  python3-setuptools,
- python3-six,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-zope.interface,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://attrs.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-attrs.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-attrs

## python-attrs 22.2.0

=== debian/changelog ===
python-attrs (22.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 22.2.0
  * Bump Standards-Version to 4.6.2
  * Use autopkgtest-pkg-pybuild
  * Use pybuild.testfiles instead of manual copying

 -- Timo Röhling <roehling@debian.org>  Fri, 23 Dec 2022 21:56:38 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,14 @@
  python3-all,
  python3-doc,
  python3-hypothesis,
+ python3-myst-parser,
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-zope.interface,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://attrs.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-attrs.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-attrs

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME=attr
-export PYBUILD_BEFORE_TEST=cp conftest.py {build_dir}
-export PYBUILD_AFTER_TEST=rm -r {build_dir}/.hypothesis {build_dir}/conftest.py
 
 %:
 	dh $@ --buildsystem=pybuild

## python-attrs 23.1.0

=== debian/changelog ===
python-attrs (23.1.0-2) unstable; urgency=medium

  [ Bastian Germann ]
  * Remove retired uploader

  [ Timo Röhling ]
  * Add myself as new uploader (Closes: #1041172)
  * Update patches
    - Mark Debian-specific patches as Forwarded: not-needed
    - Drop Sphinx theme patch, furo theme is available in Debian now
  * New Build-Depends on furo theme package
  * Add nocheck/nodoc support

 -- Timo Röhling <roehling@debian.org>  Wed, 26 Jul 2023 15:58:31 +0200

python-attrs (23.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 23.1.0
  * Refresh patches
  * Switch to hatchling build system

 -- Timo Röhling <roehling@debian.org>  Mon, 26 Jun 2023 22:06:03 +0200

## python-attrs 23.2.0

=== debian/changelog ===
python-attrs (23.2.0-2) unstable; urgency=medium

  * Fix FTBFS with pytest 8 (Closes: #1064949)

 -- Timo Röhling <roehling@debian.org>  Thu, 29 Feb 2024 22:44:40 +0100

python-attrs (23.2.0-1) unstable; urgency=medium

  * New upstream version 23.2.0

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Jan 2024 20:39:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,25 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Tristan Seligmann <mithrandi@debian.org>
+Uploaders: Timo Röhling <roehling@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- dh-sequence-sphinxdoc,
+ dh-sequence-sphinxdoc <!nodoc>,
+ furo <!nodoc>,
  pybuild-plugin-pyproject,
  python3-all,
  python3-doc,
- python3-hypothesis,
- python3-myst-parser,
- python3-pytest,
- python3-setuptools,
- python3-sphinx,
- python3-sphinx-rtd-theme,
- python3-zope.interface,
+ python3-hatchling,
+ python3-hatch-fancy-pypi-readme,
+ python3-hatch-vcs,
+ python3-hypothesis <!nocheck>,
+ python3-myst-parser <!nodoc>,
+ python3-pytest <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-zope.interface <!nodoc>,
 Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://attrs.readthedocs.org/

## python-attrs 24.2.0

=== debian/changelog ===
python-attrs (24.2.0-1) unstable; urgency=medium

  * New upstream version 24.2.0
  * Update patches
    - Drop 0004-Fix-privacy-breaches.patch (obsolete)
    - Drop 0005-Remove-pytest.deprecated_call-in-TestAssoc-test_unkn.patch
      (merged upstream)
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Tue, 20 Aug 2024 16:30:05 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-zope.interface <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://attrs.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-attrs.git

## python-attrs 24.3.0

=== debian/changelog ===
python-attrs (24.3.0-1) unstable; urgency=medium

  * New upstream version 24.3.0
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Jan 2025 21:31:48 +0100

## python-attrs 25.1.0

=== debian/changelog ===
python-attrs (25.1.0-1) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * New upstream version 25.1.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Fri, 07 Feb 2025 10:48:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Timo Röhling <roehling@debian.org>
+Uploaders:
+ Timo Röhling <roehling@debian.org>,
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,9 +13,9 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-doc,
- python3-hatchling,
  python3-hatch-fancy-pypi-readme,
  python3-hatch-vcs,
+ python3-hatchling,
  python3-hypothesis <!nocheck>,
  python3-myst-parser <!nodoc>,
  python3-pytest <!nocheck>,
@@ -29,9 +30,14 @@
 
 Package: python3-attr
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: ${python3:Recommends}
-Suggests: python-attr-doc, ${python3:Suggests}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends:
+ ${python3:Recommends},
+Suggests:
+ python-attr-doc,
+ ${python3:Suggests},
 Description: Attributes without boilerplate (Python 3)
  attrs is an MIT-licensed Python package with class decorators that ease the
  chores of implementing the most common attribute-related object protocols.
@@ -49,8 +55,11 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Recommends: python3-doc
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Recommends:
+ python3-doc,
 Description: documentation for the attrs Python library
  attrs is an MIT-licensed Python package with class decorators that ease the
  chores of implementing the most common attribute-related object protocols.

## python-attrs 25.3.0

=== debian/changelog ===
python-attrs (25.3.0-1) unstable; urgency=medium

  * New upstream version 25.3.0
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Fri, 28 Mar 2025 15:02:43 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-zope.interface <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://attrs.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-attrs.git

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 uversionmangle=s%[.-]?(a|b|c|rc|dev|pre)%~$1%,\
 searchmode=plain \
 https://api.github.com/repos/python-attrs/attrs/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

## python-attrs 25.4.0

=== debian/changelog ===
python-attrs (25.4.0-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 25.4.0
  * Move common description to source stanza
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Wed, 08 Oct 2025 15:57:22 +0200

=== debian/control ===
Source: python-attrs
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 furo <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-doc,
 python3-hatch-fancy-pypi-readme,
 python3-hatch-vcs,
 python3-hatchling,
 python3-hypothesis <!nocheck>,
 python3-myst-parser <!nodoc>,
 python3-pytest <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-zope.interface <!nodoc>,
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://attrs.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-attrs.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-attrs
Description: Attributes without boilerplate
 attrs is an MIT-licensed Python package with class decorators that ease the
 chores of implementing the most common attribute-related object protocols.
 .
 You just specify the attributes to work with and attrs gives you:
   - a nice human-readable __repr__,
   - a complete set of comparison methods,
   - an initializer,
   - and much more
 without writing dull boilerplate code again and again.

Package: python3-attr
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 python-attr-doc,
 ${python3:Suggests},
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package contains attrs packaged for Python 3.

Package: python-attr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 python3-doc,
Description: documentation for the attrs Python library
 ${source:Extended-Description}
 .
 This package provides documentation for attrs.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=attr

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
	   http_proxy='127.0.0.1:9' \
	   https_proxy='127.0.0.1:9' \
	   python3 -m sphinx -N -b html docs/ $(CURDIR)/.pybuild/docs/html/
endif

=== debian/watch ===
Version: 5

Template: Github
Owner: python-attrs
Project: attrs
